openSUSE Security Update : gdk-pixbuf (openSUSE-2016-1071)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

gdk-pixbuf was updated to 2.32.3 to fix the following issues :

Update to version 2.32.3 :

+ Fix two crashes in the bmp loader (bgo#747605,
bgo#758991)

+ ico: integer overflow fixes

+ Avoid some integer overflow possibilities in scaling
code

+ Make relocations optional

+ Fix a crash due to overflow when scaling

+ Drop loaders for some rare image formats: wbmp, ras, pcx

+ Prevent testsuite failures due to lack of memory

+ Fix animation loading (bgo#755269)

+ More overflow fixes in the scaling code (bgo#754387)

+ Fix a crash in the tga loader

+ Fix several integer overflows (bgo#753908, bgo#753569)

+ Port animations to GTask

+ Translation updates

- Add fixes for some crashes, taken from upstream git
(boo#988745 boo#991450 CVE-2016-6352) :

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=988745
https://bugzilla.opensuse.org/show_bug.cgi?id=991450

Solution :

Update the affected gdk-pixbuf packages.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 93434 ()

Bugtraq ID:

CVE ID: CVE-2016-6352

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now